Edentv build

Brent Yorgey byorgey at seas.upenn.edu
Fri Dec 31 14:53:08 CET 2010

On Thu, Dec 23, 2010 at 09:12:26AM -0000, Aswad, Mustafa wrote:
> Hi  Mesha;
> I try  to  build the latest  version from edentv, but I have  problem to  build the depends packages.  I am stick  to  build "cairo",  it gives my the following error 
> Preprocessing library cairo-0.12.0...
> Building cairo-0.12.0...
> Graphics/Rendering/Cairo.hs:8:0:
>      error: cairo-version.h: No such file or directory
> It is  required by  GTK  packages. Can you till where  I can find the right version  that  can build with  ghc-6.12.3 or to install this package? 
> I have tried   the one which in
> http://hackage.haskell.org/packages/archive/cairo/0.12.0/  but it
> does not work.

The cairo package is a set of Haskell bindings to the cairo library;
for it to work you must first have the development version of the
cairo library installed through your operating system's package
management system.  E.g. on debian/ubuntu it is probably called
something like cairo-dev.  That package will provide things like
C header files and so on.


More information about the Glasgow-haskell-users mailing list